Skip to end of metadata
Go to start of metadata

Requirements

OpenIFS, Single Column Model (SCM) and the Offline Surface Model (OSM) (HTESSEL) all require the following in order to build and run. Most of these should be available as standard on Unix/Linux systems:

bash - the scripts accompanying the package make use of the Bash shell.

perl - is required for the FCM software used to compile the models. Some additional perl modules may be required for FCM (see below).

fortran & C compilers - many Linux/Unix systems come with gfortran/gcc by default which work well with the OpenIFS models. High Performance Computer facilities may provide other compilers which achieve better performance. The fortran compiler must support an auto-double (e.g. -r8) capability as some source code files are in fixed format fortran.
The OpenIFS model can make use of OpenMP if it is supported on your system (multicore) and compilers but this is optional. Note that if OpenMP is used then the version of MPI used should be thread-safe.

lapack & blas libraries - these are usually available on all flavours of Linux/Unix. Some systems, notably HPC installations will have special optimized versions of these libraries. These should be used instead (if a version exists for your choice of compiler) to achieve a better performance. You may need to modify the compile configuration to access these optimized libraries.
If the lapack/blas libraries are not available or you choose not to use them, OpenIFS comes with the necessary lapack code. This is disabled by default. Contact openifs-support@ecmwf.int for details.

grib-api  - the grib-api library and set of commands for working with and manipulating GRIB files. GRIB is the file format used as input and output for OpenIFS. The grib-api software is available for download from the grib-api software pages. Please use the latest version. Although pre-compiled, binary packages are available, please download the source files and compile it. This is to ensure the same compiler and compiler version is used for the models and grib-api, otherwise errors from mismatching modules are likely. See the grib_api for OpenIFS install page for more details on how to build grib_api for the OpenIFS models.

The OpenIFS models run on a variety of Unix based systems: Unix/Linux, Mac OS X. There is no support for running under Windows.

OpenIFS model

OpenIFS requires the following in order to build and run:

mpi library - an implementation of MPI must be available on your system. It can either be vendor supplied or one of the freely available versions such as MPICH or OpenMPI.

python - is required to run some of the tools.

Single column model

netCDF - an implementation of netCDF must be available on the system as the models read/write netcdf format.

IDL - optionally requirement as some sample scripts are provided to plot the model output.

Offline surface model

netCDF - an implementation of netCDF must be available on the system as the models read/write netcdf format.

Perl modules required

Software called FCM is used to compile the model. FCM is provided with OpenIFS. However, note that it may need additional Perl modules installed. The most likely missing modules are: XML::ParserCheck and Time::Piece.

To check a Perl module is installed e.g. XML::Parser, type the command perl -MXML::Parser -e 1. If the module is not installed this will cause an error.

For help with installing missing Perl modules either see the CPAN module page or ask your local support team. ECMWF cannot provide assistance in installing Perl on your machine.